namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目状态变更记录表")]
[Table("TrialStateChange")]
public class TrialStateChange : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialId")]
    public Trial Trial { get; set; }

    #endregion

    public Guid TrialId { get; set; }
    public string OriginState { get; set; } = String.Empty;
    public string NowState { get; set; } = String.Empty;
    public string Reason { get; set; } = String.Empty;
}

